Subject: [Norton AntiSpam] Fwd: Fw: Darwin Day 2004

From: [email-masked]
Date: Thu, 3 Feb 2005 12:56:03 EST

Subject: Fw: Darwin Day 2004
From: "Amanda Chesworth" <[email-masked]>
To: <[email-masked]>
Date: Thu, 3 Feb 2005 11:06:43 -0500

----- Original Message ----- 
From: "Gus Pehur" <[email-masked]>
To: <[email-masked]>
Sent: Wednesday, February 11, 2004 9:35 PM
Subject: Darwin Day 2004

> Hi Amanda,
> 
> Happy Darwin Day!
> 
> I will be taking 2 posters and a strawberry cake into work tomorrow.
> I have a new poster of Darwin which I bought off the internet. And I am
> also bringing in my new improved poster of "The Pieces of The Evolution
> Puzzle".
> 
> Sincerely,
> 
> Gus
>